<?php
	include("conexion.php");
	
	$Base= new BaseDatos();
	$Base->conectarGen("localhost","root","","bd_impacto");

	$sql=$Base->sentencia("SELECT * FROM testimonios WHERE id='".$_GET['codigo']."'");
	//echo $_GET['accion'].$_GET['codigo'];
	if ($_GET['accion']=='E')
	{
		if ($row=$Base->numfilas($sql)>0)
		{
			$Base->sentencia("DELETE FROM testimonios  WHERE id='".$_GET['codigo']."'")
			or die("Operación Invalida, por favor notifique a su administrador");
		}
	}
	else //es modificar o nuevo
	{
			if ($row=$Base->numfilas($sql)>0)
			{
				$Base->sentencia("UPDATE testimonios  SET nombre='".$_GET['nombre']."',apellido='".$_GET['apellido']."',direcc='".$_GET['direcc']."',testimonio='".$_GET['testi']."'  WHERE id='".$_GET['codigo']."'")
				or die("Operación Invalida, por favor notifique a su administrador");
			}
			else
			{
				$query=("INSERT INTO testimonios (nombre,apellido,direcc,testimonio) VALUES('".strtoupper($_GET['nombre'])."','".strtoupper($_GET['apellido'])."','".strtoupper($_GET['direcc'])."','".strtoupper($_GET['testi'])."')");
				$res=$Base->sentencia($query) or die("Operación Invalida, por favor notifique a su administrador");
			}
	 }
	
	header("Location: testimonios_admin.php");
?>